angular.module('gaugesScreen', [])
.controller('GaugesScreenController', function($scope, $window) {
  var unit = null;
  $scope.data = {}
  // overwriting plain javascript function so we can access from within the controller
  $window.setUnits = (data) => {
    unit = data.unitType;
  }
  
  $window.updateData = (data) => {
    $scope.$evalAsync(function() {

	if (data.accelerationLaptop === "--") {						//stuff kept erroring so i'm not taking any prisoners and tripple check 
		$scope.data.accelerationLaptop = data.accelerationLaptop
	}
	else {
		$scope.data.accelerationLaptop = (data.accelerationLaptop).toFixed(2) + "sec"
	}

	if (data.topspeedLaptop === "--") {
		$scope.data.topspeedLaptop = data.topspeedLaptop
	}
	else if (data.topspeedLaptop === -69 || data.topspeedmetLaptop <= 74.5645) {
		$scope.data.topspeedLaptop = "--"
	}
	else {
		$scope.data.topspeedLaptop = (data.topspeedLaptop).toFixed(1) + "MPH"
	}
	
	if (data.topspeedmetLaptop === "--") {
		$scope.data.topspeedmetLaptop = data.topspeedmetLaptop
	}
	else if (data.topspeedmetLaptop === -69 || data.topspeedmetLaptop <= 120) {
		$scope.data.topspeedmetLaptop = "--"
	}
	else {
		$scope.data.topspeedmetLaptop = (data.topspeedmetLaptop).toFixed(1) + "KM/H"
	}
	
	if (data.afrLaptop === "--") {
		$scope.data.afrLaptop = data.afrLaptop
	}
	else {
		$scope.data.afrLaptop = (data.afrLaptop).toFixed(1) + ":1"
	}
	if (data.rpmLaptop === "--") {
		$scope.data.rpmLaptop = data.rpmLaptop
	}
	else {
		$scope.data.rpmLaptop = (data.rpmLaptop).toFixed(0)
	}
	if (data.airspeedLaptop === "--") {
		$scope.data.airspeedLaptop = data.airspeedLaptop
	}
	else {
		$scope.data.airspeedLaptop = (data.airspeedLaptop).toFixed(1) + "MPH"
	}
	if (data.airspeedmetLaptop === "--") {
		$scope.data.airspeedmetLaptop = data.airspeedmetLaptop
	}
	else {
		$scope.data.airspeedmetLaptop = (data.airspeedmetLaptop).toFixed(1) + "KM/H"
	}
	if (data.watertempLaptop === "--") {
		$scope.data.watertempLaptop = data.watertempLaptop
	}
	else {
		$scope.data.watertempLaptop = (data.watertempLaptop).toFixed(0) + "*F"
	}
	if (data.watertempmetLaptop === "--") {
		$scope.data.watertempmetLaptop = data.watertempmetLaptop
	}
	else {
		$scope.data.watertempmetLaptop = (data.watertempmetLaptop).toFixed(0) + "*C"
	}
	if (data.oiltempLaptop === "--") {
		$scope.data.oiltempLaptop = data.oiltempLaptop
	}
	else {
		$scope.data.oiltempLaptop = (data.oiltempLaptop).toFixed(0) + "*F"
	}
	if (data.oiltempmetLaptop === "--") {
		$scope.data.oiltempmetLaptop = data.oiltempmetLaptop
	}
	else {
		$scope.data.oiltempmetLaptop = (data.oiltempmetLaptop).toFixed(0) + "*C"
	}
	if (data.fuelLaptop === "--") {
		$scope.data.fuelLaptop = data.fuelLaptop
	}
	else {
		$scope.data.fuelLaptop = (data.fuelLaptop).toFixed(0) + "%"
	}
	if (data.turboboostLaptop === "--") {
		$scope.data.turboboostLaptop = data.turboboostLaptop
	}
	else {
		$scope.data.turboboostLaptop = (data.turboboostLaptop).toFixed(1) + " PSI"
	}
	if (data.turboboostmetLaptop === "--") {
		$scope.data.turboboostmetLaptop = data.turboboostmetLaptop
	}
	else {
		$scope.data.turboboostmetLaptop = (data.turboboostmetLaptop).toFixed(1) + " BAR"
	}
	
	$scope.data.underscoreLaptop = data.underscoreLaptop

    }
	)
 }
  //  function hideBootscreen() {
   //     document.getElementById('bootscreen').className += ' fadeout';
    //}
});    